Mike Gerwitz

Activist for User Freedom

aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMike Gerwitz <mike.gerwitz@ryansg.com>2019-11-07 16:52:03 -0500
committerMike Gerwitz <mike.gerwitz@ryansg.com>2019-11-08 13:05:34 -0500
commit11c2bcb9b11ecbb30e8898254eee0f9ce8003312 (patch)
tree43d0eb737e8daae171c088071502af2793333375
parentc8c7dfda5d06dbff55b0cdffa61ac348a27e8327 (diff)
downloadliza-11c2bcb9b11ecbb30e8898254eee0f9ce8003312.tar.gz
liza-11c2bcb9b11ecbb30e8898254eee0f9ce8003312.tar.bz2
liza-11c2bcb9b11ecbb30e8898254eee0f9ce8003312.zip
configure (TS_NODE_VERSION): Make configurable
Apparently @types/node is not always available for the current node version...
-rw-r--r--configure.ac4
-rw-r--r--package.json.in2
2 files changed, 4 insertions, 2 deletions
diff --git a/configure.ac b/configure.ac
index 298df45..1f1675f 100644
--- a/configure.ac
+++ b/configure.ac
@@ -40,9 +40,11 @@ test -n "$NODE" || AC_MSG_ERROR([missing Node.js])
AC_MSG_CHECKING([node version])
node_version=$($NODE --version | sed 's/^v//')
-AC_SUBST([NODE_VERSION], [$node_version])
AC_MSG_RESULT([$NODE_VERSION])
+AC_ARG_VAR([TS_NODE_VERSION], [Version to use for @types/node dependency])
+TS_NODE_VERSION=${TS_NODE_VERSION:-$node_version}
+
# graphviz
AC_ARG_VAR([TWOPI], [Graphviz twopi layout])
AC_CHECK_PROGS(TWOPI, [twopi])
diff --git a/package.json.in b/package.json.in
index dfa48bf..c0db61e 100644
--- a/package.json.in
+++ b/package.json.in
@@ -30,7 +30,7 @@
},
"devDependencies": {
"typescript": "~3.7",
- "@types/node": "@NODE_VERSION@",
+ "@types/node": "@TS_NODE_VERSION@",
"chai": ">=1.9.1 < 4",
"@types/chai": ">=1.9.1 < 4",
"chai-as-promised": "7.1.0",